petsc-3.7.7 2017-09-25
Report Typos and Errors

# SNESLineSearchPreCheckFunction

form of function passed to check the search direction before line search is called

### Synopsis

    #include <petscsnes.h>
    SNESLineSearchPreCheckFunction(SNESLineSearch snes,Vec x,Vec y, PetscBool *changed);

### Input Parameters

| x | - solution vector
| y | - search direction vector
| changed | - flag to indicate the precheck changed x or y.

Note: This is NOTE a PETSc function, rather it documents the calling sequence of functions passed to SNESLineSearchSetPreCheck() and SNESLineSearchGetPreCheck()

### See Also

SNESLineSearchSetPreCheck(), SNESLineSearchGetPreCheck(), SNESLineSearchSetPostCheck(), SNESLineSearchGetPostCheck()

Level:advanced
Location:src/snes/linesearch/interface/linesearch.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages